namespace :angular do
    desc "Builds angular project and moves files into the correct places for deployment."
    task build: :environment do
        Dir.chdir('frontend') do
            `ng build`
            #system("ember build  --environment=#{Rails.env}")
        end

        # Copy the dist to public
        FileUtils.copy_entry 'frontend/dist/frontend', 'public/'

        # Move the index out of public
        FileUtils.mv 'public/index.html', 'app/views/skirental_web_frontend/reservations/show.html.erb'

    end

end
